<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{createAdminEmployer.Title}"></title>

	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

	<div th:replace="fragments/phase_banner :: phase_banner">...</div>
	<div th:replace="fragments/service_header :: logout_only">...</div>

	<div class="grid-row">
		<div class="column-two-thirds">

			<form th:action="@{/create-admin-employer}" method="post" class="form" novalidate="novalidate" id="create-admin-employer-form"  th:object="${adminEmployerUser}">

				<div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="new-admin-employer-user-error-message" role="group" aria-labelledby="new-admin-employer-user-error-heading" tabindex="-1">
					<h1 id="admin-error-message-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
					<p th:text="#{errorSummary2}"  id="error-message-text">Please see the errors below.</p>
					<ul class="error-summary-list">
						<li th:if="${#fields.hasErrors('email')}"><a href="#employer-email-label" th:errors="*{email}"  id="new-admin-employer-user-list5">Descriptive link to the question with an error</a></li>
						<li th:if="${#fields.hasErrors('firstPassword')}"><a href="#employer-password-label"  th:errors="*{firstPassword}" id="new-admin-employer-user-list6">Descriptive link to the question with an error</a></li>
					</ul>
				</div>

				<div class="heading-group">
					<p th:text="#{serviceHeader}" id="admin-service-name-text">Make payments to the NHS Pension Scheme</p>
					<h1 class="heading-large" id="main-heading" th:text="#{createAdminEmployer.Heading}">Create Admin Employer Account</h1>
				</div>

				<fieldset>
					<legend class="visuallyhidden">Employer Details</legend>

					<div class="form-group" th:classappend="${#fields.hasErrors('email')} ? error : no-error">
					<label for="employer-email" id="employer-email-label">
						<span class="form-label-bold" th:text="#{createAdminEmployer.Email}">Email address</span>
						<span th:if="${#fields.hasErrors('email')}"  th:errors="*{email}" class="error-message" id="error-message-employer-email"></span>
					</label>
					<input type="email" id="employer-email" value="" name="employer-email" class="form-control validate-text-input" required=""  th:field="*{email}" th:classappend="${#fields.hasErrors('email')} ? form-control-error" />
					</div>

					<div class="form-group" th:classappend="${#fields.hasErrors('firstPassword')} ? error : no-error">
						<label for="employer-password" id="employer-password-label">
							<span class="form-label-bold" th:text="#{createAdminEmployer.FirstPassword}">First Password</span>
							<span th:if="${#fields.hasErrors('firstPassword')}" th:errors="*{firstPassword}" class="error-message" id="error-message-password"></span>
						</label>
						<input type="password" id="employer-password" value="" name="employer-password" class="form-control validate-text-input" required="" th:field="*{firstPassword}"  th:classappend="${#fields.hasErrors('firstPassword')} ? form-control-error" />
					</div>
				</fieldset>

				<div class="error-message" th:if="${userExists}"><p  id="user-exists-message" th:text="#{createAdminEmployer.UserAlreadyExists}" >This user is already registered</p></div>

				<div class="form-group" id="add-user-submit-button">
					<button type="submit" class="button" th:text="#{createAdminEmployer.Proceed}" id="add-user-button">Add employer</button>
				</div>
			</form>

		</div>
	</div>

</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>

</body>
</html>
